Subject: Re: [ANNOUNCE] Git v2.17.0-rc0

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 16 Mar 2018 12:14:06 +0100

On Fri, Mar 16 2018, Junio C. Hamano jotted:

>       gitweb: hard-depend on the Digest::MD5 5.8 module

I've just noticed this now, but while this module is in 5.8 RedHat's
butchered perl doesn't have it in the base system, thus this introduces
the do-we-even-care regression that git's full test suite won't pass on
a RedHat (or CentOS) base system, because the gitweb tests will fail to
"use" Digest::MD5.

I'm slightly leaning towards not caring about it, since there's no other
perl distributor that does this sort of split-out of the core, and if
you're on a RedHat system they're solving your package problems, so this
really only impacts the edge case of git developers and redhat
packagers, both of whom can just do "yum install -y perl-Digest-MD5" to
fix it.